import os
import requests
from dotenv import load_dotenv

load_dotenv()

TOKEN = os.getenv("GITEA_WRITE_TOKEN")
headers = {"Authorization": f"token {TOKEN}"}
data = {
    "name": "test-repo",  # Уникальное имя
    "description": "Repo created via API",
    "private": False
}

response = requests.post(
    "https://git.vyatsu.ru/api/v1/user/repos",
    headers=headers,
    json=data
)

print(response.status_code, response.json())